Bug 210983 - math/R: Fix dependencies
Summary: math/R: Fix dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2016-07-10 19:28 UTC by Joseph Mingrone
Modified: 2016-07-16 16:50 UTC (History)
2 users (show)

See Also:
riggs: merge-quarterly-


Attachments
svn diff to fix minor issues in math/R (25.26 KB, patch)
2016-07-10 19:28 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
correct svn patch to fix math/R (1.23 KB, patch)
2016-07-12 19:57 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-07-10 19:28:53 UTC
Created attachment 172349 [details]
svn diff to fix minor issues in math/R

- Explicitly rely on required perl for the build
- math/R cannot be built in poudriere when math/atlas is chosen for the BLAS implementation.  It's not the default, so handle gracefully with an IGNORE (could also have set MANUAL_PACKAGE_BUILD with ATLAS_VARS= MANUAL_PACKAGE_BUILD=...)
- fix a type: DOC_BUILD_DEPEND -> DOCS_BUILD_DEPEND

portlint: OK (spurious warning about install-info)
testport: OK (poudriere: 9.3-RELEASE-p36, i386,  default options)
testport: OK (poudriere: 9.3-RELEASE-p30, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE,    i386,  default options)
testport: OK (poudriere: 10.3-RELEASE,    amd64, default options)
Comment 1 Kurt Jaeger freebsd_committer 2016-07-12 19:52:11 UTC
I tried to apply the patch, it fails to apply. The Makefile patch is rejected, the pkg-plist is seen as a reversed patch ?
Comment 2 Joseph Mingrone freebsd_committer 2016-07-12 19:57:16 UTC
Created attachment 172422 [details]
correct svn patch to fix math/R

Sorry, that was the wrong patch.  Here is the correct one.
Comment 3 Joseph Mingrone freebsd_committer 2016-07-12 20:01:01 UTC
Feel free to choose your preferred snippet below.  I believe they effectively do the same thing.

ATLAS_VARS= MANUAL_PACKAGE_BUILD="Choose a BLAS option other than ATLAS for package building."

.if defined(BATCH) || defined(PACKAGE_BUILDING)
ATLAS_IGNORE=		Choose a BLAS option other than ATLAS for package building.
.endif
Comment 4 commit-hook freebsd_committer 2016-07-16 15:48:51 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 16 15:48:18 UTC 2016
New revision: 418640
URL: https://svnweb.freebsd.org/changeset/ports/418640

Log:
  Fix dependencies, Makefile cleanups

  Detailed maintainer log:
  - Explicitly rely on required perl for the build
  - math/R cannot be built in poudriere when math/atlas is chosen for the
    BLAS implementation.  It's not the default, so handle gracefully with
    an IGNORE (could also have set MANUAL_PACKAGE_BUILD with
    ATLAS_VARS= MANUAL_PACKAGE_BUILD=...)
  - fix a type: DOC_BUILD_DEPEND -> DOCS_BUILD_DEPEND

  PR:		210983
  Submitted by:	jrm@ftfl.ca (maintainer)

Changes:
  head/math/R/Makefile
Comment 5 Thomas Zander freebsd_committer 2016-07-16 16:50:37 UTC
No MFH, since 2016Q3 contains a completely different version of the port, before a major overhaul.